Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class ApprovalStatus

    java.lang.Object
      |
      +--com.compoze.discussion.ApprovalStatus

All Implemented Interfaces:
  java.io.Serializable

public class ApprovalStatus
extends java.lang.Object
implements java.io.Serializable

This class stores the values for the approval status.

The internationalizable string values are stored in the `discussion_resources.properties` file (accessed through `DiscussionResources`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static ApprovalStatus` | `APPROVED` This value represents the 'approved' status.
`static ApprovalStatus` | `AWAITING` This value represents the 'awaiting' status.
`static ApprovalStatus` | `DENIED` This value represents the 'denied' status.
`static int` | `STORE_VALUE_APPROVED` This value represents an 'approved' status.
`static int` | `STORE_VALUE_AWAITING` This value represents an 'awaiting' status.
`static int` | `STORE_VALUE_DENIED` This value represents an 'denied' status.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static ApprovalStatus` | `get(int iStoreValue)` Gets the status by the store value.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the status using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the status using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the status in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_APPROVED

    public static final int STORE_VALUE_APPROVED

  This value represents an 'approved' status.
  See Also:
    `APPROVED`, `getStoreValue()`

### STORE_VALUE_AWAITING

    public static final int STORE_VALUE_AWAITING

  This value represents an 'awaiting' status.
  See Also:
    `AWAITING`, `getStoreValue()`

### STORE_VALUE_DENIED

    public static final int STORE_VALUE_DENIED

  This value represents an 'denied' status.
  See Also:
    `DENIED`, `getStoreValue()`

### APPROVED

    public static final ApprovalStatus APPROVED

  This value represents the 'approved' status.

### AWAITING

    public static final ApprovalStatus AWAITING

  This value represents the 'awaiting' status.

### DENIED

    public static final ApprovalStatus DENIED

  This value represents the 'denied' status.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the status using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the status using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the status in the storage system.
  Returns:
    the store value

### get

    public static ApprovalStatus get(int iStoreValue)

  Gets the status by the store value.
  Parameters:
    `iStoreValue` - the store value
  Returns:
    the matching status or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `ApprovalStatus` (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.